# Class TCefMediaAccessCallbackRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFMediaAccessCallback

## Declaration

`type TCefMediaAccessCallbackRef = class(TCefBaseRefCountedRef, ICefMediaAccessCallback)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefMediaAccessCallbackRef

## Overview

### Methods

| `procedure cont(allowed_permissions: TCefMediaAccessPermissionTypes);`
| `procedure cancel;`
| `class function UnWrap(data: Pointer): ICefMediaAccessCallback;`

## Description

### Methods

| `procedure cont(allowed_permissions: TCefMediaAccessPermissionTypes);`
This item has no description. Showing description inherited from ICefMediaAccessCallback.cont. Call to allow or deny media access. If this callback was initiated in response to a getUserMedia (indicated by CEF_MEDIA_PERMISSION_DEVICE_AUDIO_CAPTURE and/or CEF_MEDIA_PERMISSION_DEVICE_VIDEO_CAPTURE being set) then |allowed_permissions| must match |required_permissions| passed to OnRequestMediaAccessPermission.

| `procedure cancel;`
This item has no description. Showing description inherited from ICefMediaAccessCallback.cancel. Cancel the media access request.

| `class function UnWrap(data: Pointer): ICefMediaAccessCallback;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.